# std::pair< _T1, _T2 > Struct Template Reference

pair holds two objects of arbitrary type. More...

`#include <stl_pair.h>`

Inheritance diagram for std::pair< _T1, _T2 >:

[legend]
List of all members.

## Public Types

typedef _T1 | first_type
| `first_type` is the first bound type
typedef _T2 | second_type
| `second_type` is the second bound type

## Public Member Functions

| pair (const _T1 &__a, const _T2 &__b)
template<class _U1, class _U2> | pair (const pair< _U1, _U2 > &__p)

## Public Attributes

_T1 | first
| `first` is a copy of the first object
_T2 | second
| `second` is a copy of the second object

## Detailed Description

### template<class _T1, class _T2>
struct std::pair< _T1, _T2 >

pair holds two objects of arbitrary type.

Definition at line 69 of file stl_pair.h.

## Member Typedef Documentation

template<class _T1, class _T2>
typedef _T1 std::pair< _T1, _T2 >::first_type

| `first_type` is the first bound type Definition at line 70 of file stl_pair.h.

template<class _T1, class _T2>
typedef _T2 std::pair< _T1, _T2 >::second_type

| `second_type` is the second bound type Definition at line 71 of file stl_pair.h.

## Constructor & Destructor Documentation

template<class _T1, class _T2>
std::pair< _T1, _T2 >::pair | ( | const _T1 & | __a,
|  | const _T2 & | __b
| ) | `[inline]`

| Two objects may be passed to a `pair` constructor to be copied. Definition at line 84 of file stl_pair.h.

template<class _T1, class _T2>
template<class _U1, class _U2>
std::pair< _T1, _T2 >::pair | ( | const pair< _U1, _U2 > & | __p | ) | `[inline]`

| There is also a templated copy ctor for the `pair` class itself. Definition at line 88 of file stl_pair.h.

## Member Data Documentation

template<class _T1, class _T2>
_T1 std::pair< _T1, _T2 >::first

| `first` is a copy of the first object Definition at line 73 of file stl_pair.h. Referenced by std::operator==().

template<class _T1, class _T2>
_T2 std::pair< _T1, _T2 >::second

| `second` is a copy of the second object Definition at line 74 of file stl_pair.h. Referenced by std::operator==().

The documentation for this struct was generated from the following file:

- stl_pair.h